View Issue Details

IDProjectCategoryView StatusLast Update
0000041Bacula-Webbug-phppublic2013-11-19 15:06
ReportersooreshAssigned Todavide 
PriorityurgentSeveritymajorReproducibilityrandom
Status closedResolutionfixed 
PlatformLinuxOSFedoraOS Version14
Product Version5.1.0 - alpha 
Target VersionFixed in Version5.1.0 - alpha 
Summary0000041: Got an error in bacula 3.1.0 while in test page of php.
DescriptionDabase error:
Message: invalid data source name
Code: 0
Line: 43
File: /var/www/html/bacula-web/includes/db/cdb.class.php
Steps To Reproduce== Bacula-Web 5.1.0 ==

This document explain in very short way how to install and configuration Bacula-Web

== Requirements ==

 - Apache web server > version 2.x
 - PHP > version 5.x
 - PHP support for
        - PDO
        - MySQL, postgreSQL or SQLite (depending on your bacula bacula)
        - Gettext (optional, used for translations)
    - TrueType (optional, used for graph)
    - GD (required for graphs)

!!! PEAR DB is not required anymore !!!

Install all these required packages following your distro documentation

== Download and setup ==

The latest version Bacula-Web is available through the project site's download page

 http://bacula-web.dflc.ch/index.php/download.html

Go to your Apache root's folder and
 # cd /var/www/html

Create the bacula-web folder
 # mkdir -v bacula-web

Uncompress bacula-web tarball (assuming that you downloaded in /tmp)
 # tar -xzvf /tmp/bacula-web.tar.gz -C /var/www/html/bacula-web

Change owner and permissions
 # chown -Rv apache: /var/www/html/bacula-web

Give right permissions to template cache folder
 # chmod -Rv ug+w /var/www/html/bacula-web/templates_c

== Configure ==

In the config folder, you'll find a configuration file example (config.php.sample).

 - Open it and adapt the settings to your current database setup
 - Save this file as config.php and make it readable by the httpd process

== Test the installation ==

Open your favourite browser and go to the address below

 http://youserver/bacula-web/test.php
TagsNo tags attached.

Activities

sooresh

2011-09-30 11:27

reporter  

bacula 3.1.0.png (88,635 bytes)
bacula 3.1.0.png (88,635 bytes)

davide

2011-09-30 14:25

manager   ~0000068

Hello,

What I can see is that you specified several time the same database in your config.php file ?

Is there a reason for that ?

Best regards

davide

2011-10-04 22:17

manager   ~0000069

Hello,

still having a problem with Bacula-Web configuration ?

what's your ...

 - PHP version
 - MySQL version
 - Linux distro

Thanks for your feedback.

davide

2011-10-11 10:16

manager   ~0000070

Any news about your issue ?

Without any feedback by next 2 weeks, I'll close this report.

Regards

gedemus

2011-11-24 10:21

reporter   ~0000073

Last edited: 2011-11-24 10:28

View 3 revisions

Hello,

Same issue here with a fresh install on CentOs.

System : CentOs
DB : MySQL 5.0.22
PhP : 5.16
Bacula : 5.03

Regards.

davide

2011-11-25 15:01

manager   ~0000074

Can you send me your config.php file by mail (bacula-dev@dflc.ch) please ?

Regards

davide

2011-11-29 21:44

manager   ~0000075

A new version of Bacula-Web is coming by next few days, I'll try to improve database connection.

Regards

davide

2011-11-29 22:13

manager   ~0000076

Hello,

I'm able to reproduce the same error message on my side ...

Dabase error:
Message: invalid data source name
Code: 0
Line: 43
File: /var/www/html/bacula/gui/bacula-web/core/db/cdb.class.php

You forgot to to add the end of php comment in your config file

Should be as below

....
 /* Catalog(s) connection parameters
 Just copy/paste and modify regarding your configuration --> */ <--
....

Thanks for your feedback

Davide

davide

2011-12-01 09:44

manager   ~0000077

Problem fixed

davide

2013-11-19 15:06

manager   ~0000349

Issue closed

Issue History

Date Modified Username Field Change
2011-09-30 11:27 sooresh New Issue
2011-09-30 11:27 sooresh File Added: bacula 3.1.0.png
2011-09-30 13:46 davide Assigned To => davide
2011-09-30 13:46 davide Status new => assigned
2011-09-30 13:50 davide Product Version => 5.1.0 - alpha
2011-09-30 14:25 davide Note Added: 0000068
2011-10-04 22:17 davide Note Added: 0000069
2011-10-04 22:17 davide Status assigned => feedback
2011-10-11 10:16 davide Note Added: 0000070
2011-11-24 10:21 gedemus Note Added: 0000073
2011-11-24 10:22 gedemus Note Edited: 0000073 View Revisions
2011-11-24 10:28 gedemus Note Edited: 0000073 View Revisions
2011-11-25 15:01 davide Note Added: 0000074
2011-11-29 21:44 davide Note Added: 0000075
2011-11-29 22:13 davide Note Added: 0000076
2011-12-01 09:44 davide Note Added: 0000077
2011-12-01 09:44 davide Status feedback => resolved
2011-12-01 09:44 davide Fixed in Version => 5.1.0 - alpha
2011-12-01 09:44 davide Resolution open => fixed
2013-11-19 15:06 davide Status resolved => closed
2013-11-19 15:06 davide Note Added: 0000349